Subject: bug#66222: closed (Re: Fail to build guix documentation)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 27 Sep 2023 13:17:02 +0000

Your bug report

#66222: Fail to build guix documentation

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66222: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66222
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Fail to build guix documentation
From: Tobias Geerinckx-Rice <[email-masked]>
To: [email-masked]
Date: Wed, 27 Sep 2023 15:16:37 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

You're using an old Guix that predates the fix for this old bug, here: 
https://git.savannah.gnu.org/cgit/guix.git/commit/?id=352c49e1a5c48eb76389ee384eb95fc2e4a6ab32

Is there a reason you can't upgrade Guix with ‘guix pull’?

Kind regards,

T G-R

Sent from a Web browser.  Excuse or enjoy my brevity.

Subject: Fail to build guix documentation
From: Gabriel Hondet <[email-masked]>
To: [email-masked]
Date: Tue, 26 Sep 2023 22:51:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I was trying to setup guix following the steps given in
https://guix.gnu.org/manual/en/html_node/Building-from-Git.html

I already have the Guix package manager installed, so, in the checked
out repository, I enter a suitable shell using `guix shell -D guix
help2man git strace guile --pure`.

Then if I run `make`, the process fails and prints out

    make[2]: Entering directory '/home/g/src/guix'
    MAKEINFO doc/guix.de.info
    contributing.de.texi:1571: @menu reference to nonexistent node
    `Configuring Git'
    contributing.de.texi:1572: @menu reference to nonexistent node
    `Sending a Patch Series'
    make[2]: *** [Makefile:4977: doc/guix.de.info] Error 1
    make[2]: Leaving directory '/home/g/src/guix'
    make[1]: *** [Makefile:6096: all-recursive] Error 1
    make[1]: Leaving directory '/home/g/src/guix'
    make: *** [Makefile:4210: all] Error 2

while I was expecting nothing but a 0 return code.

For context, I use the Guix package manager (commit
c173819c8e5235ce02d60b79bd88b10023a7c614) on top of Void Linux.

Cheers,
Gabriel